unit uIEditorDetalleReservas;

interface

uses
  uEditorGridBase, uBizInventario, uInventarioController;

type
  IEditorDetalleReservas = interface(IEditorGridBase)
  ['{EE301C2F-98DC-49CD-B7EA-D29D0B9326D8}']
    function GetTipoReservas: String;
    procedure SetTipoReservas(const Value: String);
    property TipoReservas: String read GetTipoReservas write SetTipoReservas;

    function GetController : IInventarioController;
    procedure SetController (const Value : IInventarioController);
    property Controller : IInventarioController read GetController write SetController;

    function GetDetalleReservas: IBizDetalleReservas;
    procedure SetDetalleReservas(const Value: IBizDetalleReservas);
    property DetalleReservas: IBizDetalleReservas read GetDetalleReservas write SetDetalleReservas;

    function GetArticulo: IBizInventario;
    procedure SetArticulo(const Value: IBizInventario);
    property Articulo: IBizInventario read GetArticulo write SetArticulo;

    function GetIdAlmacenObra: Integer;
    procedure SetIdAlmacenObra(const Value: Integer);
    property IdAlmacenObra: Integer read GetIdAlmacenObra write SetIdAlmacenObra;
  end;


implementation

end.
